package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WindplantPoint对象 windplant_point
 *
 * @author hlf
 * @date 2022-01-10
 */
public class WindplantPoint extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Date statTime1;

    private Date statTime2;

    private Date statTime3;

    private Date statDayTime1;

    private Date statDayTime2;

    private Date statDayTime3;

    private Date statMonthTime1;

    private Date statMonthTime2;

    private Date statMonthTime3;

    private Date exportTime1;

    private Date exportTime2;

    private String windplantName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setStatTime1(Date statTime1) {
        this.statTime1 = statTime1;
    }

    public Date getStatTime1() {
        return statTime1;
    }

    public void setStatTime2(Date statTime2) {
        this.statTime2 = statTime2;
    }

    public Date getStatTime2() {
        return statTime2;
    }

    public void setStatTime3(Date statTime3) {
        this.statTime3 = statTime3;
    }

    public Date getStatTime3() {
        return statTime3;
    }

    public void setStatDayTime1(Date statDayTime1) {
        this.statDayTime1 = statDayTime1;
    }

    public Date getStatDayTime1() {
        return statDayTime1;
    }

    public void setStatDayTime2(Date statDayTime2) {
        this.statDayTime2 = statDayTime2;
    }

    public Date getStatDayTime2() {
        return statDayTime2;
    }

    public void setStatDayTime3(Date statDayTime3) {
        this.statDayTime3 = statDayTime3;
    }

    public Date getStatDayTime3() {
        return statDayTime3;
    }

    public void setStatMonthTime1(Date statMonthTime1) {
        this.statMonthTime1 = statMonthTime1;
    }

    public Date getStatMonthTime1() {
        return statMonthTime1;
    }

    public void setStatMonthTime2(Date statMonthTime2) {
        this.statMonthTime2 = statMonthTime2;
    }

    public Date getStatMonthTime2() {
        return statMonthTime2;
    }

    public void setStatMonthTime3(Date statMonthTime3) {
        this.statMonthTime3 = statMonthTime3;
    }

    public Date getStatMonthTime3() {
        return statMonthTime3;
    }

    public void setExportTime1(Date exportTime1) {
        this.exportTime1 = exportTime1;
    }

    public Date getExportTime1() {
        return exportTime1;
    }

    public void setExportTime2(Date exportTime2) {
        this.exportTime2 = exportTime2;
    }

    public Date getExportTime2() {
        return exportTime2;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("statTime1", getStatTime1())
                .append("statTime2", getStatTime2())
                .append("statTime3", getStatTime3())
                .append("statDayTime1", getStatDayTime1())
                .append("statDayTime2", getStatDayTime2())
                .append("statDayTime3", getStatDayTime3())
                .append("statMonthTime1", getStatMonthTime1())
                .append("statMonthTime2", getStatMonthTime2())
                .append("statMonthTime3", getStatMonthTime3())
                .append("exportTime1", getExportTime1())
                .append("exportTime2", getExportTime2())
                .toString();
    }
}
